C ********************************************************************
C * ICONC - Extended Hueckel Calculations                            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************

C ********************************************************************
C *                                                                  *
C *  SUBROUTINE OCC                                                  *
C *                                                                  *
C *  Routine of ICONC                                                *
C *                                                                  *
C *  Usage......: Calculates number of electrons of a fragment.      *
C *                                                                  *
C *  Author ....: Charles Wilker, December 1981                      *
C *  Date.......: 06.11.90/mbs (Martin Braendle)                     *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Department of Chemistry and Biochemistry           *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *  Revision...: 05.05.93/mbs                                       *
C *  Remarks....: Adapted from the BIGICON version of the R.Hoffmann *
C *               group.                                             *
C *                                                                  *
C *  Called from: FMOR                                               *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************
 
      SUBROUTINE OCC(IOCC,NDIM,NATOM,KA,NELEC)
 
      INCLUDE 'iconpara.for'
      IMPLICIT REAL*8(A-H,O-Z)
 
      INTEGER NDIM
      INTEGER KA
      REAL*4 IOCC(NDIM)
 
      COMMON /ATOM/EXPS(MXATOM),EXPP(MXATOM),EXPD(MXATOM),EXPD2(MXATOM),
     .             C1(MXATOM),C2(MXATOM),COULS(MXATOM),COULP(MXATOM),
     .             COULD(MXATOM),X(MXATOM),Y(MXATOM),Z(MXATOM),
     .             KEY(MXATOM),AC(MXATOM),VELEC(MXATOM),NS(MXATOM),
     .             NP(MXATOM),ND(MXATOM)
      INTEGER AC,VELEC,KEY
C
C  ADD UP VELEC TO FIND TOTAL NUMBER OF ELECTRONS
C
      NELEC=-KA
      DO 10 I=1,NATOM
        J=KEY(I)
10      NELEC=NELEC+VELEC(J)
C
C  FILL IOCC
C
      IH=NELEC/2
      JH=NDIM-IH
      DO 1 I=1,JH
1       IOCC(I)=0.0
      IF ((IH*2).NE.NELEC) IOCC(I-1)=1.
      JH=JH+1
      DO 2 I=JH,NDIM
2       IOCC(I)=2.0
      RETURN
      END
