C ********************************************************************
C * INPUTC - Input Program for ICONC                                 *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************

C ********************************************************************
C *                                                                  *
C *  SUBROUTINE VOI                                                  *
C *                                                                  *
C *  Routine of INPUTC                                               *
C *                                                                  *
C *  Usage......: Reads charge iteration parameters A,B,C for NCON=1 *
C *                                                                  *
C *  Authors....: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Department of Chemistry and Biochemistry           *
C *               Freiestrasse 3                                     *
C *               3012 Berne                                         *
C *                                                                  *
C *  Date.......: 07.12.89                                           *
C *  Revision...: -                                                  *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: CHRIT                                              *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      SUBROUTINE VOI(IA,L0)
      IMPLICIT REAL(A-H,O-Z)

      LOGICAL     L0
      CHARACTER*3 IA
      CHARACTER*2 MAT

      L0=.TRUE.
      IF (IA .EQ. ' H') THEN
        A=13.618534
        B=27.17755511
        C=13.60117607
        WRITE(1,50) A,B,C
        GOTO 70
      ENDIF
   10 READ(2,20,END=80) MAT
   20 FORMAT(A2)
      IF (MAT .EQ. IA(1:2)) GOTO 40
      READ(2,30)
   30 FORMAT(/)
      GOTO 10
   40 CONTINUE
      DO 60 I=1,2
        READ (2,50) A,B,C
        IF (C .LT. 0.01) GOTO 60
        WRITE(1,50) A,B,C
   50   FORMAT(3F10.7)
   60 CONTINUE
   70 L0=.FALSE.
   80 REWIND (UNIT=2)
      RETURN
      END
